package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.UserRoleEntity;
import org.ta.pddserver.mapper.UserRoleMapper;
import org.ta.pddserver.service.UserRoleService;

import java.util.List;

@Service
public class UserRoleImpl extends ServiceImpl<UserRoleMapper, UserRoleEntity> implements UserRoleService {


    public List<UserRoleEntity> getByUserId(String userId) {
        return this.baseMapper.findByUserId(userId);
    }

    public Integer removeRoleByUserId(String uid) {
        return this.baseMapper.deleteByUserId(uid);
    }
}